## r-cran-calculus 1.0.1+dfsg

=== DESCRIPTION ===
Package: calculus
Type: Package
Title: High Dimensional Numerical and Symbolic Calculus
Version: 1.0.1
Authors@R: person(given = "Emanuele", family = "Guidotti", email = "emanuele.guidotti@unine.ch", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-8961-6623"))
Description: Efficient C++ optimized functions for numerical and symbolic calculus as described in Guidotti (2022) <doi:10.18637/jss.v104.i05>. It includes basic arithmetic, tensor calculus, Einstein summing convention, fast computation of the Levi-Civita symbol and generalized Kronecker delta, Taylor series expansion, multivariate Hermite polynomials, high-order derivatives, ordinary differential equations, differential operators (Gradient, Jacobian, Hessian, Divergence, Curl, Laplacian) and numerical integration in arbitrary orthogonal coordinate systems: cartesian, polar, spherical, cylindrical, parabolic or user defined by custom scale factors. 
License: GPL-3
URL: https://calculus.eguidotti.com
BugReports: https://github.com/eguidotti/calculus/issues
LinkingTo: Rcpp
Imports: Rcpp (>= 1.0.1)
Suggests: cubature, testthat, knitr, rmarkdown
RoxygenNote: 7.2.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2023-03-09 22:28:41 UTC; eguidotti
Author: Emanuele Guidotti [aut, cre] (<https://orcid.org/0000-0002-8961-6623>)
Maintainer: Emanuele Guidotti <emanuele.guidotti@unine.ch>
Repository: CRAN
Date/Publication: 2023-03-09 23:00:02 UTC

=== debian/changelog ===
r-cran-calculus (1.0.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Aug 2025 00:45:39 -0400

r-cran-calculus (1.0.1+dfsg-1) experimental; urgency=medium

  * Initial release (closes: #1071207)

 -- Andrius Merkys <merkys@debian.org>  Thu, 15 May 2025 07:17:24 -0400

## r-cran-calculus 1.1.0+dfsg

=== DESCRIPTION ===
Package: calculus
Type: Package
Title: High Dimensional Numerical and Symbolic Calculus
Version: 1.1.0
Authors@R: person(given = "Emanuele", family = "Guidotti", email = "emanuele.guidotti@usi.ch", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-8961-6623"))
Description: Efficient C++ optimized functions for numerical and symbolic calculus as described in Guidotti (2022) <doi:10.18637/jss.v104.i05>. It includes basic arithmetic, tensor calculus, Einstein summing convention, fast computation of the Levi-Civita symbol and generalized Kronecker delta, Taylor series expansion, multivariate Hermite polynomials, high-order derivatives, ordinary differential equations, differential operators (Gradient, Jacobian, Hessian, Divergence, Curl, Laplacian) and numerical integration in arbitrary orthogonal coordinate systems: cartesian, polar, spherical, cylindrical, parabolic or user defined by custom scale factors. 
License: GPL-3
URL: https://calculus.eguidotti.com
BugReports: https://github.com/eguidotti/calculus/issues
LinkingTo: Rcpp
Imports: Rcpp (>= 1.0.1)
Suggests: cubature, testthat, knitr, rmarkdown
RoxygenNote: 7.2.3
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2025-06-17 16:56:35 UTC; eguidotti
Author: Emanuele Guidotti [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-8961-6623>)
Maintainer: Emanuele Guidotti <emanuele.guidotti@usi.ch>
Repository: CRAN
Date/Publication: 2025-06-18 08:20:02 UTC

=== debian/changelog ===
r-cran-calculus (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.0+dfsg
  * Update upstream email address.
  * Update copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Sep 2025 03:19:45 -0400

=== debian/control ===
Source: r-cran-calculus
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andrius Merkys <merkys@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-calculus
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-calculus.git
Homepage: https://cran.r-project.org/package=calculus
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 1.0.1)
Testsuite: autopkgtest-pkg-r

Package: r-cran-calculus
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: High Dimensional Numerical and Symbolic Calculus
 Efficient C++ optimized functions for numerical and symbolic calculus as
 described in Guidotti (2022). It includes basic arithmetic, tensor calculus,
 Einstein summing convention, fast computation of the Levi-Civita symbol and
 generalized Kronecker delta, Taylor series expansion, multivariate Hermite
 polynomials, high-order derivatives, ordinary differential equations,
 differential operators (Gradient, Jacobian, Hessian, Divergence, Curl,
 Laplacian) and numerical integration in arbitrary orthogonal coordinate
 systems: cartesian, polar, spherical, cylindrical, parabolic or user defined
 by custom scale factors.

=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,dversionmangle=auto" \
https://cloud.r-project.org/src/contrib/calculus_([-\d.]*)\.tar\.gz
